Loading...
Searching...
No Matches
fourdst::config::is_config_wrapper< Config< T > > Struct Template Reference

Specialization of `is_config_wrapper` for `Config<T>`. More...

`#include <cli.h>`

Inheritance diagram for fourdst::config::is_config_wrapper< Config< T > >:
[legend]
Collaboration diagram for fourdst::config::is_config_wrapper< Config< T > >:
[legend]

## Detailed Description

template<typename T>
struct fourdst::config::is_config_wrapper< Config< T > >

Specialization of `is_config_wrapper` for `Config<T>`.

This specialization inherits from `std::true_type`, identifying instances of the `Config` class.

Template Parameters

  T | The underlying configuration struct type.

The documentation for this struct was generated from the following file:

- src/config/include/fourdst/config/cli.h